Arch Add/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch Add")
 
(Updating to match new version of source page)
 
(41 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=Arch Add|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Add|SeeAlso=[[Arch Remove]]}}


{{Docnav
==Description==
|[[Arch_CutPlane|CutPlane]]
|[[Arch_Remove|Remove]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CutPlane.svg
|IconR=Arch_Remove.svg
|IconC=Workbench_Arch.svg
}}


<div class="mw-translate-fuzzy">
The Add tool allows you to do 4 kinds of operations:
{{GuiCommand/ro|Name=Arch Add|Name/ro=Arch Add|Workbenches=[[Arch_Workbench/ro|Arch]]|MenuLocation=Arch → Add|SeeAlso=[[Arch Remove|Arch Remove]]}}
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
</div>
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
* Add objects to [[Arch SectionPlane|section planes]]


<span id="Description"></span>
[[Image:Arch Add example.jpg|640px]]
==Descriere==


<div class="mw-translate-fuzzy">
In the above image, a box is being added to a wall.
Instrumentul Add vă permite 4 feluri de operații:
* Add [[Part_Workbench|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. Aceste obiecte fac parte din componenta Arch și permit modificați forma sa, dar păstrând proprietățile sale de bază ca lățimea și înalțimea
* Adaugă componente Arch, ca de exemplu [[Arch Wall|walls]] sau [[Arch Structure|structures]], la un grup de obiecte de bază Arch ca de exempluh o [[Arch Floor|floors]].
* Adaugă [[Arch Axis|axis systems]] la [[Arch Structure|structural objects]]
* Adaugă obiecte la [[Arch SectionPlane|section planes]]
</div>


The counterpart of this tool is the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.
==How to use==


[[Image:Arch Add example.jpg|640px]]
# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
<div class="mw-translate-fuzzy">
# Press the {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}} button
''In imaginea de mai sus, o casetă este adăugată la un perete.''
</div>


<span id="Usage"></span>
==Scripting==
<div class="mw-translate-fuzzy">
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
The Add tool can by used in [[macros]] and from the python console by using the following function:
# Selectați obiectul (obiectele) care urmează să fie adăugat e, apoi obiectul "gazdă" (obiectul gazdă trebuie să fie ultimul selectat)
{{Code|code=
# Apăsați tasta {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}}
addComponents (objectsList,hostObject)
</div>

<div class="mw-translate-fuzzy">
==Script==
</div>

<div class="mw-translate-fuzzy">
Instrumentul Add poate fi folosit în [[macros]] și de la consola Python utilizând următoarea funcție:
</div>
:{{Code|code=
addComponents(objectsList, host)
}}
}}
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
* Returns nothing.


<div class="mw-translate-fuzzy">
Example:
* Adaugați obiectul dat sau obiectele din lista dată ca componente la obiectul gazdă. Îl utilizați pentru a adauga o ferestră la un perete , sau a adăga un peret la o pardoseală.
* Nu Returnează nimic.
</div>

Exempluː

{{Code|code=
{{Code|code=
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part

line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
p1 = FreeCAD.Vector(0, 0, 0)
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
p2 = FreeCAD.Vector(2000, 2000, 0)

Arch.addComponents(box,wall)
Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}


{{Docnav
|[[Arch_CutPlane|CutPlane]]
|[[Arch_Remove|Remove]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CutPlane.svg
|IconR=Arch_Remove.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:33, 8 January 2024

Arch Add

poziția meniului
Arch → Add
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Remove

Descriere

Instrumentul Add vă permite 4 feluri de operații:

  • Add shape-based objects to an Arch component, such as a wall or structure. Aceste obiecte fac parte din componenta Arch și vă permit să modificați forma sa, dar păstrând proprietățile sale de bază ca lățimea și înalțimea
  • Adaugă componente Arch, ca de exemplu walls sau structures, la un grup de obiecte de bază Arch ca de exempluh o floors.
  • Adaugă axis systems la structural objects
  • Adaugă obiecte la section planes

The counterpart of this tool is the Arch Remove tool.

In imaginea de mai sus, o casetă este adăugată la un perete.

Cum se folosește

  1. Selectați obiectul (obiectele) care urmează să fie adăugat e, apoi obiectul "gazdă" (obiectul gazdă trebuie să fie ultimul selectat)
  2. Apăsați tasta Add

Script

Instrumentul Add poate fi folosit în macros și de la consola Python utilizând următoarea funcție:

addComponents(objectsList, host)
  • Adaugați obiectul dat sau obiectele din lista dată ca componente la obiectul gazdă. Îl utilizați pentru a adauga o ferestră la un perete , sau a adăga un peret la o pardoseală.
  • Nu Returnează nimic.

Exempluː

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()